Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlAjaxCommandButton

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.ajax4jsf.component.UIAjaxCommandButton
                          org.ajax4jsf.component.html.HtmlAjaxCommandButton

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

    public class HtmlAjaxCommandButton

extends UIAjaxCommandButton

Component-Type org.ajax4jsf.CommandButton Component-Family javax.faces.Command Renderer-Type org.ajax4jsf.components.AjaxCommandButtonRenderer Renders an HTML "input" element. &lt;br /&gt; During Decoding: Obtains the Map from the "requestParameterMap" property of the ExternalContext. If the value in the Map for the value of the "clientId" property of the component is not null, create a javax.faces.event.ActionEvent around the component, and pass it to the queueEvent() method of the component. If the request is Ajax-performed, add its target IDs of the reRender property to the rendered areas list of the nesting AjaxContainer. &lt;br /&gt; During Encoding: Builds an AJAX.Submit JavaScript call for the "onclick" event. Renders the clientId of the component as the value of the "name" attribute. Renders the current value of the component as the value of the "value" attribute. If the "styleClass" attribute is specified, render its value as the value of the "class" attribute. Renders child components inside the HTML "input" element.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlAjaxCommandButton()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAccesskey()` This attribute assigns an access key to an element.
`java.lang.String` | `getAlt()` Alternate textual description of the element rendered by this component.
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`java.lang.String` | `getImage()` Absolute or relative URL of the image to be displayed for this button.
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOnblur()` HTML: script expression; the element lost the focus Getter for onblur
`java.lang.String` | `getOnchange()` HTML: script expression; the element value was changed Getter for onchange
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnfocus()` HTML: script expression; the element got the focus Getter for onfocus
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`int` | `getSize()` This attribute tells the user agent the initial width of the control.
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTabindex()` This attribute specifies the position of the current element in the tabbing order for the current document.
`int` | `getTimeout()` Timeout ( in ms ) for request.
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`java.lang.String` | `getType()` submit|reset|image|button This attribute specifies a type of control to create.
`boolean` | `isAjaxSingle()` if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isDisabled()` When set for a form control, this boolean attribute disables the control for user input Getter for disabled
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAccesskey(java.lang.String __accesskey)` This attribute assigns an access key to an element.
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setAlt(java.lang.String __alt)` Alternate textual description of the element rendered by this component.
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setDisabled(boolean __disabled)` When set for a form control, this boolean attribute disables the control for user input Setter for disabled
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`void` | `setImage(java.lang.String __image)` Absolute or relative URL of the image to be displayed for this button.
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOnblur(java.lang.String __onblur)` HTML: script expression; the element lost the focus Setter for onblur
`void` | `setOnchange(java.lang.String __onchange)` HTML: script expression; the element value was changed Setter for onchange
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnfocus(java.lang.String __onfocus)` HTML: script expression; the element got the focus Setter for onfocus
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setSize(int __size)` This attribute tells the user agent the initial width of the control.
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTabindex(java.lang.String __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setTimeout(int __timeout)` Timeout ( in ms ) for request.
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setType(java.lang.String __type)` submit|reset|image|button This attribute specifies a type of control to create.

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlAjaxCommandButton

    public HtmlAjaxCommandButton()

  Constructor to init default renderers

Method Detail

### setAccesskey

    public void setAccesskey(java.lang.String __accesskey)

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Setter for accesskey

  Parameters:
    `accesskey` - - new value

### getAccesskey

    public java.lang.String getAccesskey()

  This attribute assigns an access key to an element. An access key is a single character from the document character set. Note: Authors should consider the input method of the expected reader when specifying an accesskey Getter for accesskey

  Returns:
    accesskey value from local variable or value bindings

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setAlt

    public void setAlt(java.lang.String __alt)

  Alternate textual description of the element rendered by this component. Setter for alt

  Parameters:
    `alt` - - new value

### getAlt

    public java.lang.String getAlt()

  Alternate textual description of the element rendered by this component. Getter for alt

  Returns:
    alt value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  When set for a form control, this boolean attribute disables the control for user input Setter for disabled

  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  When set for a form control, this boolean attribute disables the control for user input Getter for disabled

  Returns:
    disabled value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now. Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now. Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setImage

    public void setImage(java.lang.String __image)

  Absolute or relative URL of the image to be displayed for this button. If specified, this "input" element will be of type "image". Otherwise, it will be of the type specified by the "type" property with a label specified by the "value" property. Setter for image

  Parameters:
    `image` - - new value

### getImage

    public java.lang.String getImage()

  Absolute or relative URL of the image to be displayed for this button. If specified, this "input" element will be of type "image". Otherwise, it will be of the type specified by the "type" property with a label specified by the "value" property. Getter for image

  Returns:
    image value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setOnblur

    public void setOnblur(java.lang.String __onblur)

  HTML: script expression; the element lost the focus Setter for onblur

  Parameters:
    `onblur` - - new value

### getOnblur

    public java.lang.String getOnblur()

  HTML: script expression; the element lost the focus Getter for onblur

  Returns:
    onblur value from local variable or value bindings

### setOnchange

    public void setOnchange(java.lang.String __onchange)

  HTML: script expression; the element value was changed Setter for onchange

  Parameters:
    `onchange` - - new value

### getOnchange

    public java.lang.String getOnchange()

  HTML: script expression; the element value was changed Getter for onchange

  Returns:
    onchange value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setOnfocus

    public void setOnfocus(java.lang.String __onfocus)

  HTML: script expression; the element got the focus Setter for onfocus

  Parameters:
    `onfocus` - - new value

### getOnfocus

    public java.lang.String getOnfocus()

  HTML: script expression; the element got the focus Getter for onfocus

  Returns:
    onfocus value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setSize

    public void setSize(int __size)

  This attribute tells the user agent the initial width of the control. The width is given in pixels except when type attribute has the value "text" or "password". In that case, its value refers to the (integer) number of characters Setter for size

  Parameters:
    `size` - - new value

### getSize

    public int getSize()

  This attribute tells the user agent the initial width of the control. The width is given in pixels except when type attribute has the value "text" or "password". In that case, its value refers to the (integer) number of characters Getter for size

  Returns:
    size value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setTabindex

    public void setTabindex(java.lang.String __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### getTabindex

    public java.lang.String getTabindex()

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Getter for tabindex

  Returns:
    tabindex value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Timeout ( in ms ) for request. Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Timeout ( in ms ) for request. Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setType

    public void setType(java.lang.String __type)

  submit|reset|image|button This attribute specifies a type of control to create. The default value for this attribute is "submit" Setter for type

  Parameters:
    `type` - - new value

### getType

    public java.lang.String getType()

  submit|reset|image|button This attribute specifies a type of control to create. The default value for this attribute is "submit" Getter for type

  Returns:
    type value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.